# class DCOPConnection | More...
Internal Use Only
Definition | `#include <dcopserver.h>`
Inherits | QSocketNotifier (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- DCOPConnection ( IceConn conn )
- ~DCOPConnection ()
- DCOPSignalConnectionList * signalConnectionList ()

#### Public Members

- QCString appId
- QCString plainAppId
- IceConn iceConn
- bool notifyRegister
- QList <_IceConn> waitingOnReply
- QList <_IceConn> waitingForReply
- QList <_IceConn> waitingForDelayedReply
- DCOPSignalConnectionList *_signalConnectionList
- bool daemon

## Detailed Description

DCOPConnection ( IceConn conn ) | ### DCOPConnection

~DCOPConnection () | ### ~DCOPConnection

DCOPSignalConnectionList * signalConnectionList () | ### signalConnectionList

QCString appId | ### appId

QCString plainAppId | ### plainAppId

IceConn iceConn | ### iceConn

bool notifyRegister | ### notifyRegister

QList <_IceConn> waitingOnReply | ### waitingOnReply

QList <_IceConn> waitingForReply | ### waitingForReply

QList <_IceConn> waitingForDelayedReply | ### waitingForDelayedReply

DCOPSignalConnectionList * _signalConnectionList | ### _signalConnectionList

bool daemon | ### daemon

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:07 2001, using kdoc 2.0a53.